org.apache.lucene.index

## Interface SegmentReader.CoreClosedListener

- Enclosing class:
    SegmentReader

      public static interface SegmentReader.CoreClosedListener

  Called when the shared core for this SegmentReader is closed.

  This listener is called only once all SegmentReaders sharing the same core are closed. At this point it is safe for apps to evict this reader from any caches keyed on `SegmentReader.getCoreCacheKey()`. This is the same interface that `FieldCache` uses, internally, to evict entries.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onClose(SegmentReader owner)` Invoked when the shared core of the provided `SegmentReader` has closed.

- - ### Method Detail

    - #### onClose

          void onClose(SegmentReader owner)

      Invoked when the shared core of the provided `SegmentReader` has closed.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.